@font-face {
  font-family: 'design_plus';
  font-weight: normal;
  font-style: normal;
  font-display:swap;
  src: url('design_plus.woff?v=1.6') format('woff');
}

.blue {
  color: #1f409b;
}

.bg-blue {
  background-color: #1f409b;
}

.red {
  color: #EE1746;
}

.bg-red {
  background-color: #EE1746;
}

.design_arrow_button { text-align:right; margin-bottom:50px; }
.design_arrow_button a { display:inline-flex; flex-wrap:wrap; align-items:center; font-size:18px; color:#1f409b; text-decoration:none !important; }
.design_arrow_button a .label { margin-right:20px; }
.post_row + .design_arrow_button { margin-top:50px; }
@media (max-width: 800px) {
  .post_row+.design_arrow_button {
      margin-top: 35px;
  }
}

/* 矢印アイコンのみ */
.arrow_button { display:block; width:50px; height:50px; background:#1f409b; border-radius:40%; position:relative; overflow:hidden; }
.arrow_button:before, .arrow_button:after { content:'\e94f'; display:block; font-family:'design_plus'; font-size:10px; position:absolute; left:0px; top:15px; color:#fff; z-index:2; width:100%; text-align:center; }
.arrow_button:after { transform: translate3d(-10%, 0, 0); opacity:0; }
@media(hover: hover) {
  a:hover .arrow_button:before { animation: arrow_animation1 0.3s ease forwards; }
  a:hover .arrow_button:after { animation: arrow_animation2 0.3s ease forwards 0.2s; }
}
@keyframes arrow_animation1 {
  0% { transform: translate3d(0%, 0, 0); opacity:1; }
  70% { opacity:0; }
  100% { transform: translate3d(20%, 0, 0); opacity:0; }
}
@keyframes arrow_animation2 {
  0% { transform: translate3d(-10%, 0, 0); opacity:0; }
  100% { transform: translate3d(0%, 0, 0); opacity:1; }
}

/* 矢印アイコンのみ（小さいver） */
.arrow_button_small { display:block; width:40px; height:15px; line-height:15px; position:absolute; right:0; top:0; overflow:hidden; }
.arrow_button_small:before, .arrow_button_small:after { content:'\e94f'; display:block; font-family:'design_plus'; font-size:10px; position:absolute; left:0px; top:0px; width:100%; color:fff; z-index:2; text-align:center; }
.arrow_button_small:after { transform: translate3d(-10%, 0, 0); opacity:0; }
@media(hover: hover) {
  a:hover .arrow_button_small:before { animation: arrow_animation1 0.3s ease forwards; }
  a:hover .arrow_button_small:after { animation: arrow_animation2 0.3s ease forwards 0.2s; }
}

/* 矢印アイコンのみ（小さいver 逆方向） */
.arrow_button_small.reverse:before, .arrow_button_small.reverse:after { transform:rotate(180deg); }
.arrow_button_small.reverse:after { transform: translate3d(10%, 0, 0); opacity:0; }
@media(hover: hover) {
  a:hover .arrow_button_small.reverse:before { animation: arrow_animation3 0.3s ease forwards; }
  a:hover .arrow_button_small.reverse:after { animation: arrow_animation4 0.3s ease forwards 0.2s; }
}
@keyframes arrow_animation3 {
  0% { transform: translate3d(0%, 0, 0) rotate(180deg); opacity:1; }
  70% { opacity:0; }
  100% { transform: translate3d(-20%, 0, 0) rotate(180deg); opacity:0; }
}
@keyframes arrow_animation4 {
  0% { transform: translate3d(10%, 0, 0) rotate(180deg); opacity:0; }
  100% { transform: translate3d(0%, 0, 0) rotate(180deg); opacity:1; }
}

.menu {
  position: relative;
  text-align: center;
  margin-top: -5px;
}

.menu:before {
  position: absolute;
  color: #1f409b;
  font-size: 0.6rem;
  content: "TOP";
  display: block;
  z-index: 10;
  width: 100%;
  margin-top: 15px;
  margin-left: auto;
  margin-right: auto;
}

.menu:hover::before {
  opacity: 0.5 !important;
}

.menu-2:before {
  content: "SERVICE" !important;
}

.menu-3:before {
  content: "COMPANY" !important;
}

.menu-4:before {
  content: "FAQ" !important;
}

.service-1 {
  display: block;
  background: url(../img/service-1-1.jpg) center center no-repeat;
  background-size: cover;
  height: 450px !important;
}

.service-2 {
  display: block;
  background: url(../img/service-2-1.jpg) center center no-repeat;
  background-size: cover;
  height: 450px !important;
}

.service-3 {
  display: block;
  background: url(../img/service-3-1.jpg) center center no-repeat;
  background-size: cover;
  height: 450px !important;
}

.service-4 {
  display: block;
  background: url(../img/service-4-1.jpg) center center no-repeat;
  background-size: cover;
  height: 450px !important;
}

.p-footer-button_contents {
  height: 300px;
  width: 100%;
  overflow: hidden;
  position: relative;
  display: flex;
}

.footer_button_bg_type1 {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
}

.footer_button_bg_type2 {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  clip-path: inset(0);
}

.footer_button_bg_type3 {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
}

.simpleParallax {
  position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.parallax_image {
  width: 70% !important;
  left: 15% !important;
}

.footer_button_bg_type2 .fixed_img {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100vw;
  height: auto;
  transform: translate(-50%, -50%);
  object-fit: cover;
  object-position: center;
  z-index: -1;
}


.p-footer-button_contents_image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
}

.p-footer-button__overlay {
  background: 
  color-mix(in srgb, #002040 30%, transparent);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.p-footer-button_list {
  z-index: 2;
  position: relative;
  place-self: center;
  display: flex;
  width: 100%;
  gap: 40px;
  inline-size: min(calc(100% - 40px), 1100px);
  margin-inline: auto;
}

.p-footer-button_item {
  color: #fff;
  display: flex;
  border: 1px solid #fff;
  border-radius: 10px;
  height: 150px;
  flex: 1;
  justify-content: center;
  align-items: center;
  position: relative;
  cursor: pointer;
}

.p-footer-button_one_item {
  flex: 0.5;
}

.p-footer-button_list_one {
  justify-content: center;
}


@media (any-hover: hover) {
.p-footer-button_item:hover .p-footer-button_grid .p-footer-button__link_contents {
  opacity: 0.6;
}
}

.p-footer-button_grid {
  display: grid;
  gap: 20px;
  text-align: center;
}

/* ボタンコンテンツ（電話番号）*/
.p-footer-button_phone_number {
  display: flex;
  justify-content:center;
  align-items: center;
  gap: 5px;
}

.p-footer-button_phone_number p {
  font-size: 32px !important;
  font-weight: 600;
}

.footer-button_phone_icon {
  width: 22px;
  height: 22px;
  fill: #fff;
}

.p-footer-button_grid p {
  font-size: 14px;
  line-height: 1.7;
  margin: -0.35em 0;
}

/*　ボタンコンテン（リンク）*/
.p-footer-button__link_contents {
  display: flex;
  justify-content:center;
  align-items: center;
  gap: 10px;
  transition: opacity 0.3s ease;
}

.p-footer-button__link_contents p {
  font-size: 20px;
  font-weight: 600;
}

.footer-button_link_icon {
  width: 22px;
  height: 22px;
  fill: #fff;
}

/*　フッターボタンリンク時の矢印 */
.footer_button_arrow {
  position: absolute;
  right: 30px;
  width: 3em;
  height: 3em;
  overflow: hidden;
}

/* 矢印（アニメーション用に2つ作成） */
.footer_button_arrow::before,
.footer_button_arrow::after {
  content: "";
  position: absolute;
  width: 3em;
  height: 3em;
  background-image: var(--tcd-icon--arrow-right);
  background-repeat: no-repeat;
  background-size: contain;
  filter: invert(1);
  animation-fill-mode: both;
  animation-duration: 0.6s;
  animation-name: none;
}

.footer_button_arrow::after {
  transform: translateX(-100%);
}

/* JavaScript で制御 */
.p-footer-button_item.is-hover .footer_button_arrow::before {
  animation-name: arrowLeftToRight;
  animation-delay: 0.2s;
}

.p-footer-button_item.is-hover .footer_button_arrow::after {
  animation-name: arrowRightToLeft;
  animation-delay: 0.2s;
}


/* 矢印のスライドアニメーション */
@keyframes arrowLeftToRight {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
  }
}

@keyframes arrowRightToLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(100%);
  }
}

@media (max-width: 991px) {
  .p-footer-button_contents{
    aspect-ratio: unset;
    height: 250px;
  }
}

@media (max-width: 767px) {
  .p-footer-button_contents{
    aspect-ratio: unset;
    height: unset;
  }

  .p-footer-button_list {
    display: grid;
    gap: 0;
    inline-size: 100%;
  }

  .p-footer-button_item {
    border: none;
    border-radius: 0;
  }

  .p-footer-button_list .p-footer-button_item:first-child {
    border-bottom: 1px solid color-mix(in srgb, #ffffff 30%, transparent);
  }

  .p-footer-button_grid {
    gap: 15px;
  }

  .footer_button_arrow {
    display: none;
  }
}

/* banner */
.p-footer-banner {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  padding-block: 50px;
  border-image: linear-gradient(var(--tcd-accent-color) 0 0) fill 0 /1/ 0 100vi;
  justify-content: center;
}

.p-footer-banner--center {
  display: flex;
  justify-content: center;
  justify-items: center;
}

/* 2つの時のみ固定サイズ */
.p-footer-banner--center-2 .p-footer-banner__item {
  width: 370px;
}

.p-footer-banner__item {
  display: grid;
  position: relative;
  cursor: pointer;
}

.p-footer-banner__image {
  aspect-ratio: 1;
  aspect-ratio: 370 / 170;
  width: 100%;
}

.p-footer-banner__image img {
  transform: scale(1.01);
}

.p-footer-banner__title {
  display: block;
  text-align: center;
  font-size: 16px;
  font-weight: 600;
  bottom: 0;
  width: 100%;
  height: 50px;
  color: #fff;
  line-height: 50px; /* 高さに合わせて調整 */
  padding-inline: 30px;
  position: absolute;
  z-index: 2;
  white-space: nowrap; /* 1行に制限 */
  overflow: hidden; /* はみ出しを隠す */
  text-overflow: ellipsis; /* 省略記号を表示 */
}

.p--footer-banner-title_overlay {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 50px;
  z-index: 1;
  backdrop-filter: blur(2px);
}

@media (max-width:767px) {

  .p-footer-banner {
    grid-template-columns: 1fr;
  }

  .p-footer-banner {
    padding-block: 20px;
  }

  .p-footer-banner__image {
    aspect-ratio: unset;
    height: 150px;
  }

  .p-footer-banner__title {
    font-size: 16px;
    padding-inline: 20px;
  }

}